Page MenuHomePhabricator

Convert reference lists over to `responsive` on enwiki
Closed, ResolvedPublic1 Story Points

Description

The consensus agrees in the village pump discussion to have the <references/> modified into multiple columns if greater than (or no less than) ten references are used.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable responsive reference columns on enwiki

Event Timeline

gh87 created this task.Aug 12 2017, 12:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2017, 12:51 PM
mb added a subscriber: mb.Aug 12 2017, 1:22 PM
Izno updated the task description. (Show Details)Aug 12 2017, 2:05 PM
Izno moved this task from Unsorted backlog to Enhancement backlog on the Cite board.
Jdforrester-WMF triaged this task as Medium priority.

Sure, happy to get this done. I'm at Wikimania right now and then travelling – would 21 August be too slow?

Change 371630 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable responsive reference columns on enwiki

https://gerrit.wikimedia.org/r/371630

gh87 updated the task description. (Show Details)Aug 12 2017, 6:24 PM
JJMC89 added a subscriber: JJMC89.Aug 12 2017, 9:34 PM
gh87 added a comment.Aug 14 2017, 9:38 AM

@Jdforrester-WMF I apologize, but the closure was undone. I'm afraid that 21 August is too soon. Maybe September or October 21? Meanwhile, may I change the status to "stalled" or something?

Jdforrester-WMF changed the task status from Open to Stalled.Aug 14 2017, 5:22 PM

Sure, no problem.

The current discussion seems to be based on a misunderstanding of what's being requested. See, e.g., this comment:

As most editors who have subsituted {{reflist}} for <references/> have presumably chosen the number of columns they want, it is reasonable to assume that they chose none because they wanted one column.

This change will not affect any article where {{reflist}} has been substituted for <references />. It will only affect articles that contain <references /> and have more than ten refs on the page (maybe on the order of 2% of articles). It will not affect the majority of articles, which use the {{reflist}} template.

Izno moved this task from Enhancement backlog to Doing on the Cite board.Aug 17 2017, 3:35 PM

What's the current status of this?

The discussion was officially re-opened, and a few more support votes have been added, in addition to some lengthy opposition comments from the one editor who insisted that it be re-opened.

I am sometimes surprised by the outcomes of discussions, but I suspect that this will be re-closed with basically the same end result, whenever an admin has some time. On the WMF's side, there is no urgency behind this question; it makes no real difference for the devs whether the discussion is closed today or next month.

gh87 added a comment.Aug 29 2017, 9:37 PM

@Jdforrester-WMF The discussion is reclosed as having consensus to support the change. Time to resume this task and change priorities then.

Urbanecm changed the task status from Stalled to Open.Aug 29 2017, 9:39 PM

Reopening then.

This is scheduled for Monday, 11 September 2017.

Please note that this config change will not affect any article that is using the popular {{reflist}} template at that wiki.

Change 371630 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable responsive reference columns on enwiki

https://gerrit.wikimedia.org/r/371630

Jdforrester-WMF closed this task as Resolved.Sep 11 2017, 6:42 PM

Now live. From some spot checking, everything looks good, but if there's an issue please comment here and we can revert (or fix otherwise).

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 11 2017, 6:42 PM
Jdforrester-WMF set the point value for this task to 1.